Page MenuHomePhabricator

Update project standards graphic
Closed, ResolvedPublic

Description

It is here: https://upload.wikimedia.org/wikipedia/mediawiki/c/cd/Phabricator_project_labels_3.png

We have few cases that have grown that are not included here:

  • We are using the "goal" flag with green as well as sprint. The idea is both goals and sprints are short lived efforts and are similar enough to group.
  • We have "umbrella" projects, which are kind of used as meta-project-groupings in cases where a clear "people" project does not exist. I would like to follow upstream's example and make these checkered.

I don't know if there is a source file for that graphic? I generally suck at making something like this.

Event Timeline

chasemp created this task.Feb 18 2015, 11:28 PM
chasemp raised the priority of this task from to Needs Triage.
chasemp updated the task description. (Show Details)
chasemp added a project: Phabricator.
chasemp added a subscriber: chasemp.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2015, 11:28 PM
Qgil claimed this task.Feb 19 2015, 2:40 PM
Qgil triaged this task as Low priority.
Qgil set Security to None.

If possible I would actually like to do this sooner than later, I can update the docs, but who made the graphic?

Qgil added a comment.Feb 19 2015, 5:00 PM

I create the projects in phab-01, list them in https://phab-01.wmflabs.org/T31 , increase font size, take a screenshot, and cut the image out of the screenshot.

Qgil added a comment.Feb 19 2015, 5:03 PM

There is also Patch-For-Review, but I'm not sure whether we should mention it thee, or even if we are settled on the color/icon.

On the patch color, well it's the current standard. Since we've been with it for awhile I would like to just make the wiki reflect. Part of changing it to soemthing else should probably be updating the doc. But I've been fixing some incorrectly icon'd and color'd projects and it's not great to point to the docs atm.

Qgil raised the priority of this task from Low to Normal.Mar 13 2015, 1:27 PM
Qgil raised the priority of this task from Normal to High.Mar 19 2015, 2:52 PM

Attaching here cause I wonder if we want to cover all. Need a day more to think.

(Instructions: Create projects which we de-facto use in test instance, create task with projects, locally set CSS to .phabricator-handle-tag-list-item { margin: 2px; display:inline-block; } to show elements horizontally, adjust screen size a bit for linebreak.)

Aklapper added a subscriber: Qgil.

We have "umbrella" projects, which are kind of used as meta-project-groupings in cases where a clear "people" project does not exist. I would like to follow upstream's example and make these checkered.

Oh I didn't cover umbrella in my screenshot above... it's a bit hard to define for me where an umbrella project starts, e.g. VisualEditor is one per icon but has quite some tasks (rather untriaged) that do not have a second, non-umbrella sub-VE-project assigned (would that be supposed to be a 'shall-have' criterion?). Can we define umbrella projects a bit better?

Currently we use checkered for the one "personal project" test in T555: Per-user projects for personal work in progress tracking which is existing User-bd808 where several people (leila in T89487#1041847 / T89420#1041897, zeljkofilipin somewhere I don't remember, brion in T91704) have also expressed interest. I guess we could just use another color for that (grey?).

Update bikeshed color options:

Qgil added a comment.Apr 6 2015, 4:22 PM

Thank you for taking this task!

  • Umbrella project could be blue, since until now they are umbrellas of blue projects. I don't see the benefit of using a different color for that.
  • Goal is more related to a Release than to a Sprint. What about having them orange as well?
  • I think checkered for Personal is fine for now. They are still experimental.
  • Private and Patch being both red is inconsistent, but maybe this is not too ad, and I already went beyond the limit of potential bikeshedding. :)

I agree with the last comment - umbrella blue as is for the time being; make goal orange. Keep patch-to-review as is because it will go away anyway at some point.

Qgil awarded a token.Apr 13 2015, 1:36 PM

...and I'd love to go ahead with this by updating the docs and changing the color of our five goal projects to orange.

Proposed text updates:

  • Umbrella projects can be used for larger projects that do not have a distinct code base and that consist of several (sub)components. Umbrella projects can be automatically added to (sub)component tasks by requesting the creation of a Herald rule. Icon+Color: Umbrella+Blue.
  • Private / ACL projects enforce policy restrictions to not unnecessarily restricted Team project membership and to allow any people to join and watch such Team projects. See [[phab:T90491]] for more information. Icon+Color: Locker+Red.
  • Personal per-user projects allow to track progress of personal tasks. They are a test only, see [[phab:T555]]. Icon+Color: Accounting+Checkered.
  • The special Patch-To-Review project is automatically added to a task when a related patch in Gerrit links to that task.
  • (...and update Icon+Color for Goal of course.)

Related page: https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Type_of_project

Need help: I could not change the color of https://phabricator.wikimedia.org/project/details/1006/ to orange as I'm not member of operations.

done

Aklapper closed this task as Resolved.Apr 14 2015, 9:41 PM
Qgil moved this task from Backlog to Doing on the ECT-April-2015 board.Apr 27 2015, 7:41 AM